{% set wrapper_attributes = {"data-placeholder": placeholder|default(placeholder), "data-default-value": default_value|default(default_value)} %}
{% if required %}
  {% set attributes = attributes|set_attribute("required", required) %}
{% endif %}
{% if disabled %}
  {% set attributes = attributes|set_attribute("disabled", disabled) %}
{% endif %}
<div {{ wrapper_attributes|add_class("usa-combo-box") }}>
  <select {{ attributes|add_class("usa-select") }}>
    {% for option in options %}
      {% if option.type == "optgroup" or option["#type"] == "optgroup" %}
        <optgroup label="{{ option.label }}">
          {% for sub_option in option.options %}
            <option value="{{ sub_option.value }}"{{ ' selected="selected"' if sub_option.selected }}>{{ sub_option.label }}
            </option>
          {% endfor %}
        </optgroup>
      {% elif option.type == "option" or option["#type"] == "option" %}
        {% set value = option.value if option.value else option["#value"] %}
        {% set label = option.label if option.label else option["#label"] %}
        <option value="{{ value }}"{{ ' selected="selected"' if option.selected }}>{{ label }}
        </option>
      {% endif %}
    {% endfor %}
  </select>
</div>
